
clear
global dir "/Users/bingjingli/Dropbox/China_export_environment/replication package"

use "$dir/workfile.dta",clear

****************************

use "$dir/China_export_csic_wide.dta", clear

merge 1:1 csic_adj using "$dir/China_export_csic_fitted_wide.dta"
drop _m

reshape long export import export_tariff import_tariff export_f import_f, i(csic_adj) j(year)

gen log_export=log(export)
gen log_export_tariff=log(1+export_tariff/100)

regress log_export log_export_tariff i.csic_adj i.year if year==1992|year==2000|year==2010

local temp1=int(_b[log_export_tariff]*1000)/1000
local temp2=int(_se[log_export_tariff]*1000)/1000

avplot log_export_tariff, ytitle("ln(Export{subscript:kt})") xtitle("ln(1+ExportTariff{subscript:kt})") ///
note("Note: Both axes report residuals of the variable regressed on time and sector fixed effects",size(3)) ///
text(2 0.08 "Slope: `temp1'" "           (`temp2')") graphregion(color(white)) 

graph export "$dir/result/export_tariff.eps",replace
