
clear
global dir "/Users/bingjingli/Dropbox/China_export_environment/replication package"

****************************

use "$dir/employment_weight.dta", clear

gen sh_ind_1990=share_emp_ind_1990
gen sh_ind_2000=share_emp_ind_2000

keep prefect_adj csic_adj sh_ind_1990 sh_ind_2000 

drop if csic_adj==497
drop if csic_adj==518
drop if csic_adj==537

reshape long sh_ind_, i(prefect_adj csic_adj) j(year)
reshape wide sh_ind_, i(prefect_adj year) j(csic_adj)

replace year=2010 if year==2000
replace year=2000 if year==1990

save "$dir/Rotemberg/temp.dta",replace

use "$dir/employment_weight.dta", clear

duplicates drop csic_adj ind_emp_1990 ind_emp_2000, force

keep csic_adj ind_emp_1990 ind_emp_2000
drop if ind_emp_1990==.
replace ind_emp_1990=ind_emp_1990*100
replace ind_emp_2000=ind_emp_2000*100

merge 1:1 csic_adj using "$dir/China_export_csic_fitted_wide.dta"
keep if _merge==3
drop _merge

gen export_shock_2000=(export_f2000-export_f1992)/ind_emp_1990
gen export_shock_2010=(export_f2010-export_f2000)/ind_emp_2000

merge 1:1 csic_adj using "$dir/intensity_ipp_csic3d.dta"
keep if _merge==3
drop _merge

local pollutant "pt so2 no2"
foreach p of local pollutant {
	gen trade_shock_`p'_2000=lb_`p'_t_chn1990*(export_f2000-export_f1992)/ind_emp_1990
	gen trade_shock_`p'_2010=lb_`p'_t_chn2000*(export_f2010-export_f2000)/ind_emp_2000
	}


pca trade_shock_so2_2000 trade_shock_pt_2000 trade_shock_no2_2000, com(1)
predict trade_shock_pca_2000	
pca trade_shock_so2_2010 trade_shock_pt_2010 trade_shock_no2_2010, com(1)
predict trade_shock_pca_2010	

keep csic_adj export_shock_2000 export_shock_2010 trade_shock_pt_2000-trade_shock_pca_2010

reshape long export_shock_ trade_shock_pt_ trade_shock_so2_ trade_shock_no2_ trade_shock_pca_, i(csic_adj) j(year)
reshape wide export_shock_ trade_shock_pt_ trade_shock_so2_ trade_shock_no2_ trade_shock_pca_, i(year) j(csic_adj) 

merge 1:m year using "$dir/Rotemberg/temp.dta"
drop _merge

save "$dir/Rotemberg/temp.dta",replace

**************************************

use "$dir/workfile.dta", clear

keep if age_group==1
keep if year>=2000

egen year_dist_g=group(year dist_g)
egen region_year=group(region year)

keep prefect_adj d_All_mortality year DD_chn shock_pt_chn shock_no2_chn shock_so2_chn shock_pca_chn ///
DD_f_chn shock_pt_f_chn shock_no2_f_chn shock_so2_f_chn shock_pca_f_chn ///
export_cus shock_pt_cus shock_no2_cus shock_so2_cus shock_pca_cus ///
lag_GDP_cap lag_All_mortality_overall lag_share_agriculture lag_pop_density ///
d_highschool d_midschool d_sex_ratio d_Beds_pop d_share_agriculture capital year_dist_g ///
lag_d_All_mortality lag_d_All_mortality2 poll_emp_pt_chn poll_emp_no2_chn poll_emp_so2_chn region_year weight

merge 1:1 prefect year using "$dir/Rotemberg/temp.dta"
drop _merge

save "$dir/Rotemberg/Rotemberg_China.dta",replace

erase "$dir/Rotemberg/temp.dta"



