clear
global dir "/Users/bingjingli/Dropbox/China_export_environment/replication package"

****************************

use "$dir/Rotemberg/Rotemberg_China.dta"

/* TSP */
local sh_ind_TSP "sh_ind_306 sh_ind_613 sh_ind_449 sh_ind_241 sh_ind_252 sh_ind_458 sh_ind_453 sh_ind_457" 

/* SO2 */
local sh_ind_SO2 "sh_ind_306 sh_ind_613 sh_ind_449 sh_ind_241 sh_ind_252 sh_ind_491 sh_ind_174 sh_ind_496 sh_ind_361" 

keep prefect year `sh_ind_TSP' `sh_ind_SO2'

save "$dir/Rotemberg/temp.dta", replace

********************************

use "$dir/workfile.dta",clear

merge m:1 prefect_adj year using "$dir/Rotemberg/temp.dta"
drop _merge

erase "$dir/Rotemberg/temp.dta"

egen region_year=group(region year)
egen province_year=group(province year)

foreach var of varlist sh_ind_* {
	replace `var'=`var'*100
	gen temp=`var' if year==2000
	bysort prefect_adj: egen `var'_90=min(temp)
	drop temp
	gen temp=`var' if year==2010
	bysort prefect_adj: egen `var'_00=min(temp)
	drop temp	
	}	

foreach var of varlist sh_ind_*_90 {
	areg d_All_mortality i.year#c.`var' if year>=1990 & age_group==1, absorb(region_year)  cluster(province)
	}
		
matrix industry=J(9,1,0)		
matrix summary_est=J(9,3,0)
matrix summary_se=J(9,3,0)		

local ind "306 613 449 241 252 491 174 496 361"

local j=1
foreach i of local ind {
	matrix industry[`j',1]=`i'
	areg d_All_mortality i.year#c.sh_ind_`i'_90  if year>=1990 & age_group==1, absorb(region_year)  cluster(province)
	matrix summary_est[`j',1]=_b[1990.year#c.sh_ind_`i'_90]
	matrix summary_se[`j',1]=_se[1990.year#c.sh_ind_`i'_90]	
	lincom _b[1990.year#c.sh_ind_`i'_90]+_b[2000.year#c.sh_ind_`i'_90]
	matrix summary_est[`j',2]=`r(estimate)'
	matrix summary_se[`j',2]=`r(se)'
	lincom _b[1990.year#c.sh_ind_`i'_90]+_b[2000.year#c.sh_ind_`i'_90]+_b[2010.year#c.sh_ind_`i'_90]
	matrix summary_est[`j',3]=`r(estimate)'
	matrix summary_se[`j',3]=`r(se)'
	local j=`j'+1
	}
	
********************************	
	
svmat summary_est, name(est)
svmat summary_se, name(se)
svmat industry, name(ind)

rename est1 est1990
rename est2 est2000
rename est3 est2010
rename se1 se1990
rename se2 se2000
rename se3 se2010
rename ind1 ind

keep est1990-ind

drop if est1990==.|est1990==0
gen est1982=0
gen se1982=0

reshape long est se, i(ind) j(year)

gen CI_h=est+1.96*se
gen CI_l=est-1.96*se

local ind306 "Games and Toys"
local ind613 "Electronic Components"
local ind449 "Other Plastic Products"
local ind241 "Metal Products for Daily Uses"
local ind252 "Leather Products"
local ind458 "Graphite and Carbon Products"
local ind453 "Brick, Clay, Lime and Related Products"
local ind457 "Refractory Products"
local ind491 "Refining of Heavy Non-Ferrous Metal"
local ind174 "Sugar"
local ind496 "Smelting and Refining of Rare Earth Metal"
local ind361 "Basic Chemical Raw Materials"

local ind "252 491 174 496 361 306 613 449 241 "

local j=1
foreach i of local ind {
	twoway (connected est year if ind==`i', lcolor(blue) mcolor(blue) msize(1))  ///
	(line CI_h year if ind==`i', lcolor(blue) lpattern(dash) lwidth(vthin)) ///	
	(line CI_l year if ind==`i', lcolor(blue) lpattern(dash) lwidth(vthin)) , yline(0) ///
	title("",size(3.5)) xlabel(1982 1990(10)2010, labsize(3.5)) ylabel(,labsize(3.5)) /// 
	xtitle("") ytitle("") ///
	title("`ind`i''", size(3.5)) ///
	legend(off) graphregion(color(white)) name(p`j',replace)
	 
	local j=`j'+1
	}

graph combine p1 p2 p3 p4 p5 p6 p7 p8 p9, row(4) graphregion(color(white))

/*
graph display, xsize(10) ysize(13)
graph export "$dir/corr_sh_ind.pdf",replace	
*/

erase "$dir/Rotemberg/temp.dta"

	
	
	
	
		
		
	






