
clear
global dir "/Users/bingjingli/Dropbox/China_export_environment/replication package"

use "$dir/workfile_cause.dta",clear

*****************************************************************
global controls_a "lag_GDP_cap lag_All_mortality_overall lag_pop_density"
global controls_b "d_highschool d_midschool d_boy d_Beds_pop d_share_agriculture i.year#i.dist_g"
global controls_d "lag_d_All_mortality lag_d_All_mortality2"
global controls "$controls_a $controls_b $controls_c $controls_d i.region"


ivreg2 d_All_mortality_p1 (shock_pca_chn DD_chn=shock_pca_f_chn DD_f_chn) $controls poll_emp_pca_chn [aweight=weight], endog(shock_pca_chn DD_chn) first ffirst savefirst partial(i.region) cluster(province)
matrix stat=e(first)
local temp1=stat[8,1]
local temp2=stat[8,2]
outreg2 using "$dir/result/result_causes_pca_iv_chn.tex", keep(shock_pca_chn DD_chn poll_emp_pca_chn) dec(3) addstat("Fstat PollExpShock", `temp1',"Fstat ExpShock", `temp2') tex replace
ivreg2 d_All_mortality_p2 (shock_pca_chn DD_chn=shock_pca_f_chn DD_f_chn) $controls poll_emp_pca_chn [aweight=weight], endog(shock_pca_chn DD_chn) first ffirst savefirst partial(i.region) cluster(province)
matrix stat=e(first)
local temp1=stat[8,1]
local temp2=stat[8,2]
outreg2 using "$dir/result/result_causes_pca_iv_chn.tex", keep(shock_pca_chn DD_chn poll_emp_pca_chn) dec(3) addstat("Fstat PollExpShock", `temp1',"Fstat ExpShock", `temp2') tex append
ivreg2 d_All_mortality_p3 (shock_pca_chn DD_chn=shock_pca_f_chn DD_f_chn) $controls poll_emp_pca_chn [aweight=weight], endog(shock_pca_chn DD_chn) first ffirst savefirst partial(i.region) cluster(province)
matrix stat=e(first)
local temp1=stat[8,1]
local temp2=stat[8,2]
outreg2 using "$dir/result/result_causes_pca_iv_chn.tex", keep(shock_pca_chn DD_chn poll_emp_pca_chn) dec(3) addstat("Fstat PollExpShock", `temp1',"Fstat ExpShock", `temp2') tex append

ivreg2 d_All_mortality_p4 (shock_pca_chn DD_chn=shock_pca_f_chn DD_f_chn) $controls poll_emp_pca_chn [aweight=weight], endog(shock_pca_chn DD_chn) first ffirst savefirst partial(i.region) cluster(province)
matrix stat=e(first)
local temp1=stat[8,1]
local temp2=stat[8,2]
outreg2 using "$dir/result/result_causes_pca_iv_chn.tex", keep(shock_pca_chn DD_chn poll_emp_pca_chn) dec(3) addstat("Fstat PollExpShock", `temp1',"Fstat ExpShock", `temp2') tex append
ivreg2 d_All_mortality_n (shock_pca_chn DD_chn=shock_pca_f_chn DD_f_chn) $controls poll_emp_pca_chn [aweight=weight], endog(shock_pca_chn DD_chn) first ffirst savefirst partial(i.region) cluster(province)
matrix stat=e(first)
local temp1=stat[8,1]
local temp2=stat[8,2]
outreg2 using "$dir/result/result_causes_pca_iv_chn.tex", keep(shock_pca_chn DD_chn poll_emp_pca_chn) dec(3) addstat("Fstat PollExpShock", `temp1',"Fstat ExpShock", `temp2') tex append
ivreg2 d_All_mortality_m (shock_pca_chn DD_chn=shock_pca_f_chn DD_f_chn) $controls poll_emp_pca_chn [aweight=weight], endog(shock_pca_chn DD_chn) first ffirst savefirst partial(i.region) cluster(province)
matrix stat=e(first)
local temp1=stat[8,1]
local temp2=stat[8,2]
outreg2 using "$dir/result/result_causes_pca_iv_chn.tex", keep(shock_pca_chn DD_chn poll_emp_pca_chn) dec(3) addstat("Fstat PollExpShock", `temp1',"Fstat ExpShock", `temp2') tex append


 
