
clear
global dir "/Users/bingjingli/Dropbox/China_export_environment/replication package"

use "$dir/workfile.dta",clear

****************************

global controls_a "lag_GDP_cap lag_All_mortality_overall lag_share_agriculture lag_pop_density capital"
global controls_b "d_highschool d_midschool d_sex_ratio d_Beds_pop d_share_agriculture i.year#i.dist_g"
global controls_d "lag_d_All_mortality lag_d_All_mortality2"
global controls_e "lag_share_emp_ind_l lag_share_emp_ind_m lag_share_emp_ind_h"
global controls_f "i.year#c.lag_SO2"
global pollutant "so2 pt no2 pca" 
	
set matsize 5000

egen region_year=group(region year)
egen province_year=group(province year)
destring prefect_adj, replace

********
********

*Table 6: by gender and by age:iv  

sort prefect_adj year age_group
bysort prefect_adj year: gen lag_d_IMR=lag_d_All_mortality[_n-1]

ivreg2 d_All_mortality (shock_pca_chn DD_chn=shock_pca_f_chn DD_f_chn) $controls_a $controls_b $controls_d poll_emp_pca_chn i.region_year if age_group==1 [aweight=weight], endog(shock_pca_chn DD_chn) first ffirst savefirst partial(i.region_year) cluster(province)
matrix stat=e(first)
local temp1=stat[15,1]
local temp2=stat[15,2]
outreg2 using "$dir/result/result_gender&age_pca.tex", keep(shock_pca_chn DD_chn poll_emp_pca_chn) addstat("Fstat PollExpShock", `temp1',"Fstat ExpShock", `temp2') dec(3) tex replace

ivreg2 d_M_mortality (shock_pca_chn DD_chn=shock_pca_f_chn DD_f_chn) $controls_a $controls_b $controls_d poll_emp_pca_chn i.region_year if age_group==1 [aweight=M_pop], endog(shock_pca_chn DD_chn) first ffirst savefirst partial(i.region_year) cluster(province)
matrix stat=e(first)
local temp1=stat[15,1]
local temp2=stat[15,2]
outreg2 using "$dir/result/result_gender&age_pca.tex", keep(shock_pca_chn DD_chn poll_emp_pca_chn) addstat("Fstat PollExpShock", `temp1',"Fstat ExpShock", `temp2') dec(3) tex append

ivreg2 d_F_mortality (shock_pca_chn DD_chn=shock_pca_f_chn DD_f_chn) $controls_a $controls_b $controls_d poll_emp_pca_chn i.region_year if age_group==1 [aweight=F_pop], endog(shock_pca_chn DD_chn) first ffirst savefirst partial(i.region_year) cluster(province)
matrix stat=e(first)
local temp1=stat[15,1]
local temp2=stat[15,2]
outreg2 using "$dir/result/result_gender&age_pca.tex", keep(shock_pca_chn DD_chn poll_emp_pca_chn) addstat("Fstat PollExpShock", `temp1',"Fstat ExpShock", `temp2') dec(3) tex append

ivreg2 d_All_mortality (shock_pca_chn DD_chn=shock_pca_f_chn DD_f_chn) $controls_a $controls_b c.lag_d_IMR##c.lag_d_IMR poll_emp_pca_chn i.region_year if age_group==2 [aweight=weight], endog(shock_pca_chn DD_chn) first ffirst savefirst partial(i.region_year) cluster(province)
matrix stat=e(first)
local temp1=stat[15,1]
local temp2=stat[15,2]
outreg2 using "$dir/result/result_gender&age_pca.tex", keep(shock_pca_chn DD_chn poll_emp_pca_chn) addstat("Fstat PollExpShock", `temp1',"Fstat ExpShock", `temp2') dec(3) tex append

ivreg2 d_M_mortality (shock_pca_chn DD_chn=shock_pca_f_chn DD_f_chn) $controls_a $controls_b c.lag_d_IMR##c.lag_d_IMR poll_emp_pca_chn i.region_year if age_group==2 [aweight=M_pop], endog(shock_pca_chn DD_chn) first ffirst savefirst partial(i.region_year) cluster(province)
matrix stat=e(first)
local temp1=stat[15,1]
local temp2=stat[15,2]
outreg2 using "$dir/result/result_gender&age_pca.tex", keep(shock_pca_chn DD_chn poll_emp_pca_chn) addstat("Fstat PollExpShock", `temp1',"Fstat ExpShock", `temp2') dec(3) tex append

ivreg2 d_F_mortality (shock_pca_chn DD_chn=shock_pca_f_chn DD_f_chn) $controls_a $controls_b c.lag_d_IMR##c.lag_d_IMR poll_emp_pca_chn i.region_year if age_group==2 [aweight=F_pop], endog(shock_pca_chn DD_chn) first ffirst savefirst partial(i.region_year) cluster(province)
matrix stat=e(first)
local temp1=stat[15,1]
local temp2=stat[15,2]
outreg2 using "$dir/result/result_gender&age_pca.tex", keep(shock_pca_chn DD_chn poll_emp_pca_chn) addstat("Fstat PollExpShock", `temp1',"Fstat ExpShock", `temp2') dec(3) tex append



