
clear
global dir "/Users/bingjingli/Dropbox/China_export_environment/replication package"

use "$dir/workfile.dta",clear

****************************

global controls_a "lag_GDP_cap lag_All_mortality_overall lag_share_agriculture lag_pop_density capital"
global controls_b "d_highschool d_midschool d_sex_ratio d_Beds_pop d_share_agriculture i.year#i.dist_g"
global controls_d "lag_d_All_mortality lag_d_All_mortality2"
global controls_e "lag_share_emp_ind_l lag_share_emp_ind_m lag_share_emp_ind_h"
global controls_f "i.year#c.lag_SO2"
global pollutant "so2 pt no2 pca" 
	
set matsize 5000

egen region_year=group(region year)
egen province_year=group(province year)
destring prefect_adj, replace

********
********

* Table 3: IMR and level shocks: iv  

ivreg2 d_All_mortality (shock_pca_chn=shock_pca_f_chn) i.region_year if age_group==1 [aweight=weight], endog(shock_pca_chn) first ffirst savefirst partial(i.region_year) cluster(province)
matrix stat=e(first)
local temp1=stat[15,1]
outreg2 using "$dir/result/result_age0_pca_iv_chn.tex", keep(shock_pca_chn DD_chn) dec(3) addstat("Fstat PollExpShock", `temp1') tex nocons replace

ivreg2 d_All_mortality (shock_pca_chn=shock_pca_f_chn) $controls_a $controls_b $controls_d i.region_year if age_group==1 [aweight=weight], endog(shock_pca_chn) first ffirst savefirst partial(i.region_year) cluster(province)
matrix stat=e(first)
local temp1=stat[15,1]
outreg2 using "$dir/result/result_age0_pca_iv_chn.tex", keep(shock_pca_chn DD_chn) dec(3) addstat("Fstat PollExpShock", `temp1') tex nocons append

ivreg2 d_All_mortality (DD_chn=DD_f_chn) i.region_year if age_group==1 [aweight=weight], endog(DD_chn) first ffirst savefirst partial(i.region_year) cluster(province)
matrix stat=e(first)
local temp1=stat[15,1]
outreg2 using "$dir/result/result_age0_pca_iv_chn.tex", keep(shock_pca_chn DD_chn) dec(3) addstat("Fstat ExpShock", `temp1') tex nocons append

ivreg2 d_All_mortality (DD_chn=DD_f_chn) $controls_a $controls_b $controls_d i.region_year if age_group==1 [aweight=weight], endog(DD_chn) first ffirst savefirst partial(i.region_year) cluster(province)
matrix stat=e(first)
local temp1=stat[15,1]
outreg2 using "$dir/result/result_age0_pca_iv_chn.tex", keep(shock_pca_chn DD_chn) dec(3) addstat("Fstat ExpShock", `temp1') nocons tex append

ivreg2 d_All_mortality (shock_pca_chn DD_chn=shock_pca_f_chn DD_f_chn) i.region_year if age_group==1 [aweight=weight], endog(DD_chn) first ffirst savefirst partial(i.region_year) cluster(province)
matrix stat=e(first)
local temp1=stat[15,1]
local temp2=stat[15,2]
outreg2 using "$dir/result/result_age0_pca_iv_chn.tex", keep(shock_pca_chn DD_chn) dec(3) addstat("Fstat PollExpShock", `temp1', "Fstat ExpShock", `temp2')  tex nocons append

ivreg2 d_All_mortality (shock_pca_chn DD_chn=shock_pca_f_chn DD_f_chn) $controls_a $controls_b $controls_d i.region_year if age_group==1 [aweight=weight], endog(shock_pca_chn DD_chn) first ffirst savefirst partial(i.region_year) cluster(province)
matrix stat=e(first)
local temp1=stat[15,1]
local temp2=stat[15,2]
outreg2 using "$dir/result/result_age0_pca_iv_chn.tex", keep(shock_pca_chn DD_chn) dec(3) addstat("Fstat PollExpShock", `temp1', "Fstat ExpShock", `temp2') tex nocons append

ivreg2 d_All_mortality (shock_pca_chn DD_chn=shock_pca_f_chn DD_f_chn) $controls_a $controls_b $controls_d poll_emp_pca_chn i.region_year if age_group==1 [aweight=weight], endog(shock_pca_chn DD_chn) first ffirst savefirst partial(i.region_year) cluster(province)
matrix stat=e(first)
local temp1=stat[15,1]
local temp2=stat[15,2]
outreg2 using "$dir/result/result_age0_pca_iv_chn.tex", keep(shock_pca_chn DD_chn) dec(3) addstat("Fstat PollExpShock", `temp1', "Fstat ExpShock", `temp2') tex nocons append


/* First Stage */

areg shock_pca_chn shock_pca_f_chn if age_group==1 [aweight=weight], absorb(region_year) cluster(province)
est store r1
areg shock_pca_chn shock_pca_f_chn $controls_a $controls_b $controls_d  if age_group==1 [aweight=weight], absorb(region_year) cluster(province)
est store r2
areg shock_pca_chn shock_pca_f_chn DD_f_chn if age_group==1 [aweight=weight], absorb(region_year) cluster(province)
est store r3
areg shock_pca_chn shock_pca_f_chn DD_f_chn $controls_a $controls_b $controls_d  if age_group==1 [aweight=weight], absorb(region_year) cluster(province)
est store r4
areg shock_pca_chn shock_pca_f_chn DD_f_chn $controls_a $controls_b $controls_d poll_emp_pca_chn if age_group==1 [aweight=weight], absorb(region_year) cluster(province)
est store r5
outreg2 [r1 r2 r3 r4 r5] using "$dir/result/result_age0_pca_FS_poll.tex", keep(shock_pca_f_chn DD_f_chn) nocons dec(3) tex replace


areg DD_chn DD_f_chn if age_group==1 [aweight=weight], absorb(region_year) cluster(province)
est store r1
areg DD_chn DD_f_chn $controls_a $controls_b $controls_d if age_group==1 [aweight=weight], absorb(region_year) cluster(province)
est store r2
areg DD_chn shock_pca_f_chn DD_f_chn if age_group==1 [aweight=weight], absorb(region_year) cluster(province)
est store r3
areg DD_chn shock_pca_f_chn DD_f_chn $controls_a $controls_b $controls_d if age_group==1 [aweight=weight], absorb(region_year) cluster(province)
est store r4
areg DD_chn shock_pca_f_chn DD_f_chn $controls_a $controls_b $controls_d poll_emp_pca_chn if age_group==1 [aweight=weight], absorb(region_year) cluster(province)
est store r5
outreg2 [r1 r2 r3 r4 r5] using "$dir/result/result_age0_pca_FS_dollar.tex", keep(shock_pca_f_chn DD_f_chn) nocons dec(3) tex replace


* Table A.6: IMR and level shocks: ols  

/* OLS */

areg d_All_mortality shock_pca_chn if age_group==1 [aweight=weight], absorb(region_year) cluster(province)
est store r1
areg d_All_mortality shock_pca_chn $controls_a $controls_b $controls_d if age_group==1 [aweight=weight], absorb(region_year) cluster(province)
est store r2
areg d_All_mortality DD_chn if age_group==1 [aweight=weight], absorb(region_year) cluster(province)
est store r3
areg d_All_mortality DD_chn $controls_a $controls_b $controls_d  if age_group==1 [aweight=weight], absorb(region_year) cluster(province)
est store r4
areg d_All_mortality shock_pca_chn DD_chn if age_group==1 [aweight=weight], absorb(region_year) cluster(province)
est store r5
areg d_All_mortality shock_pca_chn DD_chn $controls_a $controls_b $controls_d if age_group==1 [aweight=weight], absorb(region_year) cluster(province)
est store r6
areg d_All_mortality shock_pca_chn DD_chn $controls_a $controls_b $controls_d poll_emp_pca_chn if age_group==1 [aweight=weight], absorb(region_year) cluster(province)
est store r7
outreg2 [r1 r2 r3 r4 r5 r6 r7] using "$dir/result/result_age0_pca_ols.tex", keep(shock_pca_chn DD_chn) nocons dec(3) tex replace


********
********

*Table 4: future shocks 

foreach var of varlist DD_chn DD_f_chn poll_emp_so2_chn poll_emp_pt_chn poll_emp_no2_chn poll_emp_pca_chn {
	sort prefect_adj age_group year
	bysort prefect_adj age_group: gen f_`var'=`var'[_n+1]
	}

ivreg2 d_All_mortality (f_shock_pca_chn=f_shock_pca_f_chn) i.region_year if age_group==1 & year>=1990 & year<=2000 [aweight=weight], endog(f_shock_pca_chn) first ffirst savefirst partial(i.region_year) cluster(province)
matrix stat=e(first)
local temp1=stat[15,1]
outreg2 using "$dir/result/result_age0_future_f.tex", keep(f_shock_pca_chn f_DD_chn) dec(3) addstat("Fstat PollExpShock", `temp1') tex replace
ivreg2 d_All_mortality (f_DD_chn=f_DD_f_chn) i.region_year if age_group==1 & year>=1990 & year<=2000 [aweight=weight], endog(f_DD_chn) first ffirst savefirst partial(i.region_year) cluster(province)
matrix stat=e(first)
local temp1=stat[15,1]
outreg2 using "$dir/result/result_age0_future_f.tex", keep(f_shock_pca_chn f_DD_chn) dec(3) addstat("Fstat ExpShock", `temp1') tex append
ivreg2 d_All_mortality (f_shock_pca_chn f_DD_chn=f_shock_pca_f_chn f_DD_f_chn) i.region_year if age_group==1 & year>=1990 & year<=2000 [aweight=weight], endog(f_shock_pca_chn f_DD_chn) first ffirst savefirst partial(i.region_year) cluster(province)
matrix stat=e(first)
local temp1=stat[15,1]
local temp2=stat[15,2]
outreg2 using "$dir/result/result_age0_future_f.tex", keep(f_shock_pca_chn f_DD_chn) dec(3) addstat("Fstat PollExpShock", `temp1',"Fstat ExpShock", `temp2') tex append

********
********

*Table 7: pollution concentration and level shocks: iv 

ivreg2 d_pm25 (shock_pt_chn=shock_pt_f_chn) $controls_a $controls_b $controls_d i.region_year if age_group==1 [aweight=weight], endog(shock_pt_chn) first ffirst savefirst partial(i.region_year) cluster(province)
matrix stat=e(first)
local temp1=stat[15,1]
outreg2 using "$dir/result/result_FS_pm25_chn.tex", keep(shock_pt_chn DD_chn) dec(3) addstat("Fstat PollExpShock", `temp1') tex nocons replace

ivreg2 d_pm25 (shock_pt_chn DD_chn=shock_pt_f_chn DD_f_chn) $controls_a $controls_b $controls_d i.region_year if age_group==1 [aweight=weight], endog(shock_pt_chn DD_chn) first ffirst savefirst partial(i.region_year) cluster(province)
matrix stat=e(first)
local temp1=stat[15,1]
local temp2=stat[15,2]
outreg2 using "$dir/result/result_FS_pm25_chn.tex", keep(shock_pt_chn DD_chn) dec(3) addstat("Fstat PollExpShock", `temp1',"Fstat ExpShock", `temp2') tex nocons append

ivreg2 d_pm25 (shock_pt_chn DD_chn=shock_pt_f_chn DD_f_chn) $controls_a $controls_b $controls_d poll_emp_pt_chn i.region_year if age_group==1 [aweight=weight], endog(shock_pt_chn DD_chn) first ffirst savefirst partial(i.region_year) cluster(province)
matrix stat=e(first)
local temp1=stat[15,1]
local temp2=stat[15,2]
outreg2 using "$dir/result/result_FS_pm25_chn.tex", keep(shock_pt_chn DD_chn) dec(3) addstat("Fstat PollExpShock", `temp1',"Fstat ExpShock", `temp2') tex nocons append

ivreg2 d_pm25 (shock_pca_chn=shock_pca_f_chn) $controls_a $controls_b $controls_d i.region_year if age_group==1 [aweight=weight], endog(shock_pca_chn) first ffirst savefirst partial(i.region_year) cluster(province)
matrix stat=e(first)
local temp1=stat[15,1]
outreg2 using "$dir/result/result_FS_pm25_chn.tex", keep(shock_pca_chn DD_chn) dec(3) addstat("Fstat PollExpShock", `temp1') tex nocons append

ivreg2 d_pm25 (shock_pca_chn DD_chn=shock_pca_f_chn DD_f_chn) $controls_a $controls_b $controls_d i.region_year if age_group==1 [aweight=weight], endog(shock_pca_chn DD_chn) first ffirst savefirst partial(i.region_year) cluster(province)
matrix stat=e(first)
local temp1=stat[15,1]
local temp2=stat[15,2]
outreg2 using "$dir/result/result_FS_pm25_chn.tex", keep(shock_pca_chn DD_chn) dec(3) addstat("Fstat PollExpShock", `temp1',"Fstat ExpShock", `temp2') tex nocons append

ivreg2 d_pm25 (shock_pca_chn DD_chn=shock_pca_f_chn DD_f_chn) $controls_a $controls_b $controls_d poll_emp_pca_chn i.region_year if age_group==1 [aweight=weight], endog(shock_pca_chn DD_chn) first ffirst savefirst partial(i.region_year) cluster(province)
matrix stat=e(first)
local temp1=stat[15,1]
local temp2=stat[15,2]
outreg2 using "$dir/result/result_FS_pm25_chn.tex", keep(shock_pca_chn DD_chn) dec(3) addstat("Fstat PollExpShock", `temp1',"Fstat ExpShock", `temp2') tex nocons append

  
ivreg2 d_SO2 (shock_so2_chn=shock_so2_f_chn) $controls_a $controls_b $controls_d $controls_f i.region_year if age_group==1 [aweight=weight], endog(shock_so2_chn) first ffirst savefirst partial(i.region_year)  cluster(province)
matrix stat=e(first)
local temp1=stat[15,1]
outreg2 using "$dir/result/result_FS_so2_chn.tex", keep(shock_so2_chn DD_chn) dec(3) addstat("Fstat PollExpShock", `temp1') tex nocons replace

ivreg2 d_SO2 (shock_so2_chn DD_chn=shock_so2_f_chn DD_f_chn) $controls_a $controls_b $controls_d $controls_f i.region_year if age_group==1 [aweight=weight], endog(shock_so2_chn DD_chn) first ffirst savefirst partial(i.region_year) cluster(province)
matrix stat=e(first)
local temp1=stat[15,1]
local temp2=stat[15,2]
outreg2 using "$dir/result/result_FS_so2_chn.tex", keep(shock_so2_chn DD_chn) dec(3) addstat("Fstat PollExpShock", `temp1',"Fstat ExpShock", `temp2') tex nocons append

ivreg2 d_SO2 (shock_so2_chn DD_chn=shock_so2_f_chn DD_f_chn) $controls_a $controls_b $controls_d $controls_f poll_emp_so2_chn i.region_year if age_group==1 [aweight=weight], endog(shock_so2_chn DD_chn) first ffirst savefirst partial(i.region_year) cluster(province)
matrix stat=e(first)
local temp1=stat[15,1]
local temp2=stat[15,2]
outreg2 using "$dir/result/result_FS_so2_chn.tex", keep(shock_so2_chn DD_chn) dec(3) addstat("Fstat PollExpShock", `temp1',"Fstat ExpShock", `temp2') tex nocons append

ivreg2 d_SO2 (shock_pca_chn=shock_pca_f_chn) $controls_a $controls_b $controls_d $controls_f i.region_year if age_group==1 [aweight=weight], endog(shock_pca_chn) first ffirst savefirst partial(i.region_year) cluster(province)
matrix stat=e(first)
local temp1=stat[15,1]
outreg2 using "$dir/result/result_FS_so2_chn.tex", keep(shock_pca_chn DD_chn) dec(3) addstat("Fstat PollExpShock", `temp1') tex nocons append 

ivreg2 d_SO2 (shock_pca_chn DD_chn=shock_pca_f_chn DD_f_chn) $controls_a $controls_b $controls_d $controls_f i.region_year if age_group==1 [aweight=weight], endog(shock_pca_chn DD_chn) first ffirst savefirst partial(i.region_year) cluster(province)
matrix stat=e(first)
local temp1=stat[15,1]
local temp2=stat[15,2]
outreg2 using "$dir/result/result_FS_so2_chn.tex", keep(shock_pca_chn DD_chn) dec(3) addstat("Fstat PollExpShock", `temp1',"Fstat ExpShock", `temp2') tex nocons append

ivreg2 d_SO2 (shock_pca_chn DD_chn=shock_pca_f_chn DD_f_chn) $controls_a $controls_b $controls_d $controls_f poll_emp_pca_chn i.region_year if age_group==1 [aweight=weight], endog(shock_pca_chn DD_chn) first ffirst savefirst partial(i.region_year) cluster(province)
matrix stat=e(first)
local temp1=stat[15,1]
local temp2=stat[15,2]
outreg2 using "$dir/result/result_FS_so2_chn.tex", keep(shock_pca_chn DD_chn) dec(3) addstat("Fstat PollExpShock", `temp1',"Fstat ExpShock", `temp2') tex nocons append


********
********

* Table 8: pollution concentration and IMR: ols and iv 
 
regress d_All_mortality d_pm25 DD_chn $controls_a $controls_b $controls_d i.region_year if age_group==1 [aweight=weight], cluster(province)
outreg2 using "$dir/result/result_IV_pm25_chn.tex", keep(d_pm25 DD_chn) dec(3) tex replace

ivreg2 d_All_mortality (d_pm25 DD_chn=shock_pca_f_chn DD_f_chn) $controls_a $controls_b $controls_d i.region_year if age_group==1 [aweight=weight], endog(d_pm25 DD_chn) first ffirst savefirst partial(i.region_year) cluster(province)
matrix stat=e(first)
local temp1=stat[15,1]
local temp2=stat[15,2]
outreg2 using "$dir/result/result_IV_pm25_chn.tex", keep(d_pm25 DD_chn) dec(3) addstat("Fstat PollExpShock", `temp1',"Fstat ExpShock", `temp2') tex nocons append

regress d_All_mortality d_pm25 DD_chn $controls_a $controls_b $controls_d poll_emp_pca_chn i.region_year if age_group==1 [aweight=weight], cluster(province)
outreg2 using "$dir/result/result_IV_pm25_chn.tex", keep(d_pm25 DD_chn) dec(3) tex append

ivreg2 d_All_mortality (d_pm25 DD_chn=shock_pca_f_chn DD_f_chn) $controls_a $controls_b $controls_d poll_emp_pca_chn i.region_year if age_group==1 [aweight=weight], endog(d_pm25 DD_chn) first ffirst savefirst partial(i.region_year) cluster(province)
matrix stat=e(first)
local temp1=stat[15,1]
local temp2=stat[15,2]
outreg2 using "$dir/result/result_IV_pm25_chn.tex", keep(d_pm25 DD_chn) dec(3) addstat("Fstat PollExpShock", `temp1',"Fstat ExpShock", `temp2') tex nocons append


regress d_All_mortality d_SO2 DD_chn $controls_a $controls_b $controls_d $controls_f i.region_year if age_group==1 [aweight=weight], cluster(province)
outreg2 using "$dir/result/result_IV_so2_chn.tex", keep(d_SO2 DD_chn) dec(3) tex replace

ivreg2 d_All_mortality (d_SO2 DD_chn=shock_pca_f_chn DD_f_chn) $controls_a $controls_b $controls_d $controls_f i.region_year if age_group==1 [aweight=weight], endog(d_SO2 DD_chn) first ffirst savefirst partial(i.region_year) cluster(province)
matrix stat=e(first)
local temp1=stat[15,1]
local temp2=stat[15,2]
outreg2 using "$dir/result/result_IV_so2_chn.tex", keep(d_SO2 DD_chn) dec(3) addstat("Fstat PollExpShock", `temp1',"Fstat ExpShock", `temp2') tex nocons append

regress d_All_mortality d_SO2 DD_chn $controls_a $controls_b $controls_d $controls_f poll_emp_pca_chn i.region_year if age_group==1 [aweight=weight], cluster(province)
outreg2 using "$dir/result/result_IV_so2_chn.tex", keep(d_SO2 DD_chn) dec(3) tex nocons append

ivreg2 d_All_mortality (d_SO2 DD_chn=shock_pca_f_chn DD_f_chn) $controls_a $controls_b $controls_d $controls_f poll_emp_pca_chn i.region_year if age_group==1 [aweight=weight], endog(d_SO2 DD_chn) first ffirst savefirst partial(i.region_year) cluster(province)
matrix stat=e(first)
local temp1=stat[15,1]
local temp2=stat[15,2]
outreg2 using "$dir/result/result_IV_so2_chn.tex", keep(d_SO2 DD_chn) dec(3) addstat("Fstat PollExpShock", `temp1',"Fstat ExpShock", `temp2') tex nocons append

***********
***********
* Table A.8: dropping one sector or two sectors at a time
		
matrix summary=J(38,4,0)
forvalues i=1(1)38 {

	ivregress 2sls d_All_mortality (shock_pca_`i' DD_`i'=shock_pca_f_`i' DD_f_`i') $controls_a $controls_b $controls_d poll_emp_pca_`i' i.region#i.year if age_group==1 [aweight=weight], cluster(province)
	
	matrix summary[`i',1]=_b[shock_pca_`i']
	matrix summary[`i',2]=_se[shock_pca_`i']
	matrix summary[`i',3]=_b[DD_`i']
	matrix summary[`i',4]=_se[DD_`i']
	
	}
	
clear mata
mata
	
estimate_coef=J(4,2,0)
	
v0=st_matrix("summary")
		
estimate_coef[1,1]=colmin(v0[.,1])
estimate_coef[2,1]=select(v0[.,2],v0[.,1]:==colmin(v0[.,1]))
estimate_coef[3,1]=colmin(v0[.,3])
estimate_coef[4,1]=select(v0[.,4],v0[.,3]:==colmin(v0[.,3]))
estimate_coef[1,2]=colmax(v0[.,1])
estimate_coef[2,2]=select(v0[.,2],v0[.,1]:==colmax(v0[.,1]))
estimate_coef[3,2]=colmax(v0[.,3])
estimate_coef[4,2]=select(v0[.,4],v0[.,3]:==colmax(v0[.,3]))
	
st_matrix("estimate_coef",estimate_coef)

end

outtable using "$dir/result/robust_drop_ind2d",mat(estimate_coef) replace center f(%9.3f)


matrix summary=J(703,4,0)
forvalues i=1(1)703 {

	ivregress 2sls d_All_mortality (shock_pca_`i' DD_`i'=shock_pca_f_`i' DD_f_`i') $controls_a $controls_b $controls_d poll_emp_pca_`i' i.region#i.year if age_group==1 [aweight=weight], cluster(province)
	
	matrix summary[`i',1]=_b[shock_pca_`i']
	matrix summary[`i',2]=_se[shock_pca_`i']
	matrix summary[`i',3]=_b[DD_`i']
	matrix summary[`i',4]=_se[DD_`i']
	
	}
	
clear mata
mata
	
estimate_coef=J(4,2,0)
	
v0=st_matrix("summary")
		
estimate_coef[1,1]=colmin(v0[.,1])
estimate_coef[2,1]=select(v0[.,2],v0[.,1]:==colmin(v0[.,1]))
estimate_coef[3,1]=colmin(v0[.,3])
estimate_coef[4,1]=select(v0[.,4],v0[.,3]:==colmin(v0[.,3]))
estimate_coef[1,2]=colmax(v0[.,1])
estimate_coef[2,2]=select(v0[.,2],v0[.,1]:==colmax(v0[.,1]))
estimate_coef[3,2]=colmax(v0[.,3])
estimate_coef[4,2]=select(v0[.,4],v0[.,3]:==colmax(v0[.,3]))
	
st_matrix("estimate_coef",estimate_coef)

end

outtable using "$dir/result/robust_drop_ind2d_b",mat(estimate_coef) replace center f(%9.3f)

	

