clear
global dir "/Users/bingjingli/Dropbox/China_export_environment/replication package"

use "$dir/workfile.dta",clear

global controls_a "lag_GDP_cap lag_All_mortality_overall lag_share_agriculture lag_pop_density"
global controls_b "d_log_GDP_cap d_highschool d_midschool d_sex_ratio d_Beds_pop d_share_agriculture capital i.year#i.dist_g"
global controls_d "lag_d_All_mortality lag_d_All_mortality2"
global controls_e "lag_share_emp_ind_l lag_share_emp_ind_m lag_share_emp_ind_h"
global controls_f "i.year#c.lag_SO2"
global pollutant "so2 pt no2" 
	
set matsize 5000

********
* By province graph

ivregress 2sls d_All_mortality (shock_so2_chn DD_chn=shock_so2_f_chn DD_f_chn) $controls_a $controls_b $controls_d poll_emp_so2_chn i.province#i.year if age_group==1 & year==2010 [aweight=weight], cluster(province)
gen d_All_mortality_p=_b[shock_so2_chn]*shock_so2_chn+_b[DD_chn]*DD_chn

/*
keep if year==2010
collapse (mean) d_All_mortality_p [aweight=weight], by(province)
gsort - d_All_mortality_p
*/

keep if province==13|province==21|province==32|province==41|province==44|province==51
keep if year==2010 & age_group==1
keep prefect_adj d_All_mortality_p province
destring prefect_adj, replace

merge 1:1 prefect_adj using "concordance/prefect_name.dta"
keep if _merge==3
drop _merge

bysort province: egen rank=rank(d_All_mortality)

gen province_name="Guangdong"
replace province_name="Hebei" if province==13
replace province_name="Henan" if province==41
replace province_name="Jiangsu" if province==32
replace province_name="Liaoning" if province==21
replace province_name="Sichuan" if province==51

local province "Guangdong Hebei Henan Jiangsu Liaoning Sichuan"
local i=1
foreach p of local province {
	graph bar d_All_mortality if province_name=="`p'", ///
	over(prefect_name, label(angle(45) labsize(2.7)) gap(*.2) sort(rank) ) ///
	ylabel(, labsize(2.7)) ytitle("Predicted {&Delta} IMR",size(3)) title("`p'", size(3.5)) ///
	legend(off) graphregion(color(white)) name(p`i',replace)
	local i=`i'+1
	}
	
graph combine p1 p2 p3 p4 p5 p6, row(3)	graphregion(color(white))
graph export "$dir/result/graph_province.eps",replace

