
clear
global dir "/Users/bingjingli/Dropbox/China_export_environment/replication package"

use "$dir/isic3_trade_4d.dta",clear

*****************
** Figure A.3 **

sort isic3 year
bysort isic3: gen lag_ln_export_tau=log(1+export_tariff[_n-1]/100)

regress d_ln_export_tau lag_ln_export_tau
local temp1=int(_b[lag_ln_export_tau]*1000)/1000
local temp2=int(_se[lag_ln_export_tau]*1000)/1000

twoway (scatter d_ln_export_tau lag_ln_export_tau if year==2000, mc(purple) msymbol(Oh)) ///
(scatter d_ln_export_tau lag_ln_export_tau if year==2010, mc(blue) msymbol(Dh)) ///
(lfit d_ln_export_tau lag_ln_export_tau, color(red)), ///
xlabel(, labsize(3.5)) ylabel(,labsize(3.5)) /// 
xtitle("ln(1+ExportTariff{subscript:k,t-1})",size(3.5)) ///
ytitle("{&Delta}ln(1+ExportTariff{subscript:kt})",size(3.5)) ///
legend(order(1 "2000" 2 "2010") size(4) row(1) region(col(white))) ///
text(0 0.23 "Slope: `temp1'" "           (`temp2')") ///
graphregion(color(white)) 

graph export "$dir/result/intial_tariff.eps",replace

***************
** Table A.2 **

matrix summary=J(7,5,0)
local var_list "d_ln_export_tau d_ln_export_tau gap_ln_ntr_tau"
local counter=3
local y=1990
foreach v of local var_list {
	if `counter'<5 {
		local y=`y'+10
		}
	sum `v' if year==`y',det
		
	matrix summary[1,`counter']=r(mean)
	matrix summary[2,`counter']=r(sd)
	matrix summary[3,`counter']=r(p10)
	matrix summary[4,`counter']=r(p25)
	matrix summary[5,`counter']=r(p50)
	matrix summary[6,`counter']=r(p75)
	matrix summary[7,`counter']=r(p90)
		
	local counter=`counter'+1	
	}

local counter=1
forvalues y=1992(8)2000 {
	sum ln_export_tau if year==`y',det

	matrix summary[1,`counter']=r(mean)
	matrix summary[2,`counter']=r(sd)
	matrix summary[3,`counter']=r(p10)
	matrix summary[4,`counter']=r(p25)
	matrix summary[5,`counter']=r(p50)
	matrix summary[6,`counter']=r(p75)
	matrix summary[7,`counter']=r(p90)
		
	local counter=`counter'+1	
	}	
	
	
matrix list summary
outtable using "$dir/result/summary_tariff",mat(summary) center f(%9.3f) replace


***************
** Table A.12 **

regress d_ln_export d_ln_export_tau if year==2010, robust
est store r1
regress d_ln_export gap_ln_ntr_tau if year==2010, robust
est store r2
regress d_ln_export d_ln_export_tau gap_ln_ntr_tau if year==2010, robust
est store r3
regress d_ln_export max_license_w if year==2010, robust
est store r4
regress d_ln_export d_ln_export_tau gap_ln_ntr_tau max_license_w if year==2010, robust
est store r5
regress d_ln_export d_lib  if year==2010, robust
est store r6
regress d_ln_export d_ln_export_tau gap_ln_ntr_tau d_lib  if year==2010, robust
est store r7
outreg2 [r1 r2 r3 r4 r5 r6 r7] using "$dir/result/tariff_vs_NTR.tex", dec(3) replace
