
clear
global dir "/Users/bingjingli/Dropbox/China_export_environment/replication package"

use "$dir/workfile.dta",clear

****************************
****************************
** Table 1 **

/* summary statistics for IMR */
********PANEL A
keep if age_group==1
matrix summary=J(7,7,0)
local counter=1

foreach y of numlist 1982 1990 2000 2010 {
	
	quietly sum All_mortality if year==`y', det
	matrix summary[`counter',1]=r(mean)
	matrix summary[`counter',2]=r(sd)
	matrix summary[`counter',3]=r(p10)
	matrix summary[`counter',4]=r(p25)
	matrix summary[`counter',5]=r(p50)
	matrix summary[`counter',6]=r(p75)
	matrix summary[`counter',7]=r(p90)	
	
	local counter=`counter'+1

}

foreach y of numlist 2000 2010 {

	quietly sum d_All_mortality if year==`y', det
	matrix summary[`counter',1]=r(mean)
	matrix summary[`counter',2]=r(sd)
	matrix summary[`counter',3]=r(p10)
	matrix summary[`counter',4]=r(p25)
	matrix summary[`counter',5]=r(p50)
	matrix summary[`counter',6]=r(p75)
	matrix summary[`counter',7]=r(p90)
	
	local counter=`counter'+1
	
	}
	
quietly sum d_All_mortality, det
matrix summary[`counter',1]=r(mean)
matrix summary[`counter',2]=r(sd)
matrix summary[`counter',3]=r(p10)
matrix summary[`counter',4]=r(p25)
matrix summary[`counter',5]=r(p50)
matrix summary[`counter',6]=r(p75)
matrix summary[`counter',7]=r(p90)
matrix list summary

*outtable using "$dir/summary",mat(summary) center f(%9.3f) replace

/* summary statistics for pollution concentration */
*********PANEL B

use "mortality_rate/workfile.dta",clear

matrix summary=J(6,7,0)
local counter=1

foreach y of numlist 2000 2010 {
	
	quietly sum lag_SO2 if year==`y' & d_SO2!=., det
	matrix summary[`counter',1]=r(mean)
	matrix summary[`counter',2]=r(sd)
	matrix summary[`counter',3]=r(p10)
	matrix summary[`counter',4]=r(p25)
	matrix summary[`counter',5]=r(p50)
	matrix summary[`counter',6]=r(p75)
	matrix summary[`counter',7]=r(p90)	
	
	local counter=`counter'+1

}

foreach y of numlist 2000 2010 {

	quietly sum d_SO2 if year==`y', det
	matrix summary[`counter',1]=r(mean)
	matrix summary[`counter',2]=r(sd)
	matrix summary[`counter',3]=r(p10)
	matrix summary[`counter',4]=r(p25)
	matrix summary[`counter',5]=r(p50)
	matrix summary[`counter',6]=r(p75)
	matrix summary[`counter',7]=r(p90)
	
	local counter=`counter'+1
	
	}
	
quietly sum lag_pm25 if year==2010, det
matrix summary[`counter',1]=r(mean)
matrix summary[`counter',2]=r(sd)
matrix summary[`counter',3]=r(p10)
matrix summary[`counter',4]=r(p25)
matrix summary[`counter',5]=r(p50)
matrix summary[`counter',6]=r(p75)
matrix summary[`counter',7]=r(p90)
	
local counter=`counter'+1

quietly sum d_pm25 if year==2010, det
matrix summary[`counter',1]=r(mean)
matrix summary[`counter',2]=r(sd)
matrix summary[`counter',3]=r(p10)
matrix summary[`counter',4]=r(p25)
matrix summary[`counter',5]=r(p50)
matrix summary[`counter',6]=r(p75)
matrix summary[`counter',7]=r(p90)
	
matrix list summary
*outtable using "$dir/summary",mat(summary) center f(%9.3f) replace

/* summary statistics for pollution export shock */
*********PANEL C

use "$dir/workfile.dta",clear

matrix summary=J(12,7,0)
local counter=1


foreach y of numlist 2000 2010 {
	
	quietly sum shock_pca_chn if year==`y', det
	matrix summary[`counter',1]=r(mean)
	matrix summary[`counter',2]=r(sd)
	matrix summary[`counter',3]=r(p10)
	matrix summary[`counter',4]=r(p25)
	matrix summary[`counter',5]=r(p50)
	matrix summary[`counter',6]=r(p75)
	matrix summary[`counter',7]=r(p90)	
	
	local counter=`counter'+1

}
quietly sum shock_pca_chn, det
matrix summary[`counter',1]=r(mean)
matrix summary[`counter',2]=r(sd)
matrix summary[`counter',3]=r(p10)
matrix summary[`counter',4]=r(p25)
matrix summary[`counter',5]=r(p50)
matrix summary[`counter',6]=r(p75)
matrix summary[`counter',7]=r(p90)
	
local counter=`counter'+1

foreach y of numlist 2000 2010 {

	quietly sum shock_so2_chn if year==`y', det
	matrix summary[`counter',1]=r(mean)
	matrix summary[`counter',2]=r(sd)
	matrix summary[`counter',3]=r(p10)
	matrix summary[`counter',4]=r(p25)
	matrix summary[`counter',5]=r(p50)
	matrix summary[`counter',6]=r(p75)
	matrix summary[`counter',7]=r(p90)
	
	local counter=`counter'+1
	
	}
quietly sum shock_so2_chn, det
matrix summary[`counter',1]=r(mean)
matrix summary[`counter',2]=r(sd)
matrix summary[`counter',3]=r(p10)
matrix summary[`counter',4]=r(p25)
matrix summary[`counter',5]=r(p50)
matrix summary[`counter',6]=r(p75)
matrix summary[`counter',7]=r(p90)
	
local counter=`counter'+1
	
	
	foreach y of numlist 2000 2010 {
	
	quietly sum shock_pt_chn if year==`y', det
	matrix summary[`counter',1]=r(mean)
	matrix summary[`counter',2]=r(sd)
	matrix summary[`counter',3]=r(p10)
	matrix summary[`counter',4]=r(p25)
	matrix summary[`counter',5]=r(p50)
	matrix summary[`counter',6]=r(p75)
	matrix summary[`counter',7]=r(p90)	
	
	local counter=`counter'+1

}
quietly sum shock_pt_chn, det
matrix summary[`counter',1]=r(mean)
matrix summary[`counter',2]=r(sd)
matrix summary[`counter',3]=r(p10)
matrix summary[`counter',4]=r(p25)
matrix summary[`counter',5]=r(p50)
matrix summary[`counter',6]=r(p75)
matrix summary[`counter',7]=r(p90)
	
local counter=`counter'+1

foreach y of numlist 2000 2010 {

	quietly sum shock_no2_chn if year==`y', det
	matrix summary[`counter',1]=r(mean)
	matrix summary[`counter',2]=r(sd)
	matrix summary[`counter',3]=r(p10)
	matrix summary[`counter',4]=r(p25)
	matrix summary[`counter',5]=r(p50)
	matrix summary[`counter',6]=r(p75)
	matrix summary[`counter',7]=r(p90)
	
	local counter=`counter'+1
	
	}
quietly sum shock_no2_chn, det
matrix summary[`counter',1]=r(mean)
matrix summary[`counter',2]=r(sd)
matrix summary[`counter',3]=r(p10)
matrix summary[`counter',4]=r(p25)
matrix summary[`counter',5]=r(p50)
matrix summary[`counter',6]=r(p75)
matrix summary[`counter',7]=r(p90)
	
local counter=`counter'+1
	
matrix list summary
*outtable using "$dir/summary",mat(summary) center f(%9.3f) replace

/* summary statistics for income export shock */
***********PANEL D

use "$dir/workfile.dta",clear

matrix summary=J(3,7,0)
local counter=1

foreach y of numlist 2000 2010 {
	
	quietly sum DD_chn if year==`y', det
	matrix summary[`counter',1]=r(mean)
	matrix summary[`counter',2]=r(sd)
	matrix summary[`counter',3]=r(p10)
	matrix summary[`counter',4]=r(p25)
	matrix summary[`counter',5]=r(p50)
	matrix summary[`counter',6]=r(p75)
	matrix summary[`counter',7]=r(p90)	
	
	local counter=`counter'+1

}


quietly sum DD_chn, det
matrix summary[`counter',1]=r(mean)
matrix summary[`counter',2]=r(sd)
matrix summary[`counter',3]=r(p10)
matrix summary[`counter',4]=r(p25)
matrix summary[`counter',5]=r(p50)
matrix summary[`counter',6]=r(p75)
matrix summary[`counter',7]=r(p90)
	
matrix list summary
*outtable using "$dir/summary",mat(summary) center f(%9.3f) replace
